Subject: Re: [PATCH net-next 2/8] i40e: change Rx buffer size for legacy-rx to support XDP multi-buffer

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Mar 2023 18:18:29 -0800

On Mon,  6 Mar 2023 13:08:16 -0800 Tony Nguyen wrote:
> In the legacy-rx mode, driver can only configure up to 2k sized Rx buffers
> and with the current configuration of 2k sized Rx buffers there is no way
> to do tailroom reservation for skb_shared_info. Hence size of Rx buffers
> is now lowered to 1664 (2k - sizeof(skb_shared_info)). Also, driver can

skb_shared_info is not fixed size, the number of fragments can 
be changed in the future. What will happen to the driver and
this assumption, then?

> only chain up to 5 Rx buffers and this means max MTU supported for
> legacy-rx is now 8320.